#!/bin/sh
#

#  This batch file compiles the generated bindings from the gen directory and
#  places the client class files under the
#  webapps/web-service-client/WEB-INF/classes
#  directory and the server class file under the
#  webapps/web-service/WEB-INF/classes directory. 

./setenv.sh

CLASSPATH=../webapps/web-service/WEB-INF/classes:$AXIS_HOME/lib/axis.jar:$AXIS_HOME/lib/commons-logging.jar:$AXIS_HOME/lib/wsdl4j.jar:$AXIS_HOME/lib/jaxrpc.jar

$JDK_HOME/bin/javac -classpath $CLASSPATH -d ../webapps/web-service-client/WEB-INF/classes ../gen/com/newatlanta/examples/ExampleWebServiceIFService.java ../gen/com/newatlanta/examples/ExampleWebServiceIFServiceLocator.java ../gen/com/newatlanta/examples/ExampleWebServiceIFSoapBindingStub.java

$JDK_HOME/bin/javac -classpath $CLASSPATH -d ../webapps/web-service/WEB-INF/classes ../gen/com/newatlanta/examples/ExampleWebServiceIFSoapBindingSkeleton.java

pause

./cleanupenv.sh
