#!/bin/sh
#

#  This batch file compiles the web service's interface
#  class and places the generated class under
#  the webapps/web-service/WEB-INF/classes 
#  and
#  the webapps/web-service-client/WEB-INF/classes
#  directories.
#  The files compiled here are needed by both the web service
#  AND the client of the web service.

./setenv.sh

# compile for the web-service

$JDK_HOME/bin/javac -classpath ../webapps/web-service/WEB-INF/classes -d ../webapps/web-service/WEB-INF/classes ../src/StringWrapper.java ../src/ExampleWebServiceIF.java 

# compile for the web-service-client

$JDK_HOME/bin/javac -classpath ../webapps/web-service-client/WEB-INF/classes -d ../webapps/web-service-client/WEB-INF/classes ../src/StringWrapper.java ../src/ExampleWebServiceIF.java 


pause

./cleanupenv.sh
