#!/bin/sh
#

#  This batch file copies the necessary jar files from Axis to the
#  lib directories for both the service and the client web apps.
#  The jar files that are copied are:
#  axis.jar, commons-logging.jar, jaxrpc.jar, saaj.jar,
#  commons-discovery.jar, and wsdl4j.jar.
#  Note: wsdl4j.jar is not needed by the client app.

./setenv.sh

copy $AXIS_HOME/lib/axis.jar			../webapps/web-service/WEB-INF/lib
copy $AXIS_HOME/lib/commons-logging.jar	../webapps/web-service/WEB-INF/lib
copy $AXIS_HOME/lib/jaxrpc.jar		../webapps/web-service/WEB-INF/lib
copy $AXIS_HOME/lib/saaj.jar			../webapps/web-service/WEB-INF/lib
copy $AXIS_HOME/lib/commons-discovery.jar		../webapps/web-service/WEB-INF/lib
copy $AXIS_HOME/lib/wsdl4j.jar         	../webapps/web-service/WEB-INF/lib

copy $AXIS_HOME/lib/axis.jar			../webapps/web-service-client/WEB-INF/lib
copy $AXIS_HOME/lib/commons-logging.jar	../webapps/web-service-client/WEB-INF/lib
copy $AXIS_HOME/lib/jaxrpc.jar		../webapps/web-service-client/WEB-INF/lib
copy $AXIS_HOME/lib/saaj.jar			../webapps/web-service-client/WEB-INF/lib
copy $AXIS_HOME/lib/commons-discovery.jar		../webapps/web-service-client/WEB-INF/lib


pause

./cleanupenv.sh
